Skip to main content

Webhook about Changing Template Status

Last updated: 15 June 2026

This webhook enables you to receive updates on changes to the registration status of message templates. Whenever a template's status changes, edna Pulse sends an HTTP POST request to your system's specified URL. This article describes the webhook format and transmitted data.

tip

WhatsApp
Viber
The webhook is available for all channels.

Configuring the URL

To set the URL for the webhook regarding changes to the template status, send a POST request to the URL https://app.edna.io/api/callback/set .

File IconSetting URLs for Webhooks
tip

Your URL should be genuine and accessible to the public via the internet. Only use the secure HTTPS protocol — the default is TCP port 443. URLs can contain a maximum of 500 characters.

info

If a webhook delivery fails, edna Pulse will attempt to resend it up to three times using a backoff scheme: 4, 128, and 2048 seconds after the previous attempt.

You can also specify the webhook URL in your edna Pulse account: Integration SettingsMain profileWebhook URL for template registration status updates.

File IconGeneral Information about edna Pulse API Keys and Webhooks File IconManaging edna Pulse Webhooks

Webhook example

[
{
"id": 0,
"name": "string",
"channelType": "SMS",
"language": "string",
"content": {
"attachment": {
"id": 0,
"fileUrl": "string",
"originalFileName": "string",
"size": 0
},
"action": "string",
"caption": "string",
"header": {
"headerType": "TEXT",
"text": "string",
"attachment": {
"id": 0,
"fileUrl": "string",
"originalFileName": "string",
"size": 0
},
"headerExampleTextParam": "string",
"headerExampleMediaUrl": "string"
},
"text": "string",
"footer": {
"text": "string"
},
"keyboard": {
"rows": [
{
"buttons": [
{
"text": "string",
"buttonType": "PHONE",
"url": "string",
"urlPostfix": "string",
"phone": "string",
"payload": "string",
"urlTextExample": "string"
}
]
}
]
},
"textExampleParams": [
"string"
]
},
"contentType": "TEXT",
"category": "ACCOUNT_UPDATE",
"status": "string",
"locked": true,
"type": "OPERATOR",
"createdAt": "2023-07-21T13:51:47.862Z",
"updatedAt": "2023-07-21T13:51:47.862Z"
}
]
info

If there are no buttons in the template, an empty keyboard':{"row":[{"buttons":[]}]}} object will be returned.

Webhook format

The parameters of the message-matchers method are returned in the request body.

File IconCreating Operator Templates

Template statuses

  • APPROVED — active. This is the only status where the template can be used to send messages.
  • REJECTED — rejected by the operator.
  • PENDING — on registration.
  • NOT_SENT — draft.
  • ARCHIVED — in the archive.
  • PAUSED — suspended.
  • DISABLED — disabled.

Response format

In response to a request from your server, the status of its execution with the code 200 should be returned.